petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBagSetOptionsPrefix

Sets the prefix used for searching for all PetscBag items in the options database.

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagSetOptionsPrefix(PetscBag bag, const char pre[])

Logically collective on Bag. Many br

Many br

### Input Parameters

| bag | - the bag of values Many br
| prefix | - the prefix to prepend all Bag item names with. Many br

NOTES: Must be called prior to registering any of the bag items. Many br

### See Also

PetscBag, PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar()
PetscBagSetFromOptions(), PetscBagCreate(), PetscBagDestroy(), PetscBagRegisterEnum() Many br

Level:Intermediate
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html